Index: src/sas/sascalc/dataloader/readers/cansas_constants.py
===================================================================
--- src/sas/sascalc/dataloader/readers/cansas_constants.py	(revision d398285d1a07fbcba8a3328a6db3de09fb8581df)
+++ src/sas/sascalc/dataloader/readers/cansas_constants.py	(revision 250fec92ea66b0770da33360a90f022e1d674072)
@@ -441,163 +283,101 @@
                               }
     SASINSTR_COLL_APER_DIST = {"storeas" : "float",
-                               "attributes" :
-                               {"storeas" : "content",
-                                "unit" : {"variable" :
-                                          "{0}.distance_unit = \"{1}\""}
-                               },
-                               "variable" : "{0}.distance = {1}",
+                               "attributes" : {"unit" : {}},
                                "unit" : "distance_unit",
                               }
-    SASINSTR_COLL_APER = {"variable" : None,
-                          "attributes" : {"name" : {"variable" :
-                                                    "{0}.name = \"{1}\""},
-                                          "type" : {"variable" :
-                                                    "{0}.type = \"{1}\""},
-                                         },
+    SASINSTR_COLL_APER = {"attributes" : {"name" : {}, "type" : {}, },
                           "children" : {"size" : SASINSTR_COLL_APER_SIZE,
                                         "distance" : SASINSTR_COLL_APER_DIST
                                        }
                          }
-    SASINSTR_COLL = {"attributes" :
-                     {"name" : {"variable" : "{0}.name = \"{1}\""}},
-                     "variable" : None,
+    SASINSTR_COLL = {"attributes" : {"name" : {}},
                      "children" :
-                     {"length" :
-                      {"variable" : "{0}.length = {1}",
-                       "unit" : "length_unit",
-                       "storeas" : "float",
-                       "attributes" :
-                       {"storeas" : "content",
-                        "unit" : {"variable" : "{0}.length_unit = \"{1}\""}
-                       },
-                      },
-                      "aperture" : SASINSTR_COLL_APER,
-                     },
+                         {"length" :
+                          {"unit" : "length_unit",
+                           "storeas" : "float",
+                           "attributes" : {"storeas" : "content", "unit" : {}},
+                          },
+                          "aperture" : SASINSTR_COLL_APER,
+                         },
                     }
-    SASINSTR_DET_SDD = {"variable" : "{0}.distance = {1}",
+    SASINSTR_DET_SDD = {"storeas" : "float",
                         "unit" : "distance_unit",
-                        "attributes" :
-                        {"unit" :
-                         {"variable" : "{0}.distance_unit = \"{1}\"",
-                          "storeas" : "content"
-                         }
-                        },
+                        "attributes" : {"unit" :{}},
                        }
-    SASINSTR_DET_OFF_ATTR = {"unit" : {"variable" : "{0}.offset_unit = \"{1}\"",
-                                       "storeas" : "content"
-                                      },
-                            }
-    SASINSTR_DET_OFF_X = {"variable" : "{0}.offset.x = {1}",
+    SASINSTR_DET_OFF_ATTR = {"unit" : {"storeas" : "content" }}
+    SASINSTR_DET_OFF_X = {"storeas" : "float",
                           "unit" : "offset_unit",
                           "attributes" : SASINSTR_DET_OFF_ATTR
                          }
-    SASINSTR_DET_OFF_Y = {"variable" : "{0}.offset.y = {1}",
+    SASINSTR_DET_OFF_Y = {"storeas" : "float",
                           "unit" : "offset_unit",
                           "attributes" : SASINSTR_DET_OFF_ATTR
                          }
-    SASINSTR_DET_OFF_Z = {"variable" : "{0}.offset.z = {1}",
+    SASINSTR_DET_OFF_Z = {"storeas" : "float",
                           "unit" : "offset_unit",
                           "attributes" : SASINSTR_DET_OFF_ATTR
                          }
-    SASINSTR_DET_OFF = {"variable" : None,
-                        "children" : {"x" : SASINSTR_DET_OFF_X,
+    SASINSTR_DET_OFF = {"children" : {"x" : SASINSTR_DET_OFF_X,
                                       "y" : SASINSTR_DET_OFF_Y,
                                       "z" : SASINSTR_DET_OFF_Z,
                                      }
                        }
-    SASINSTR_DET_OR_ATTR = {"unit" : "{0}.orientation_unit = \"{1}\"",
-                            "storeas" : "content"
-                           }
-    SASINSTR_DET_OR_ROLL = {"variable" : "{0}.orientation.x = {1}",
+    SASINSTR_DET_OR_ATTR = {}
+    SASINSTR_DET_OR_ROLL = {"storeas" : "float",
                             "unit" : "orientation_unit",
                             "attributes" : SASINSTR_DET_OR_ATTR
                            }
-    SASINSTR_DET_OR_PITCH = {"variable" : "{0}.orientation.y = {1}",
+    SASINSTR_DET_OR_PITCH = {"storeas" : "float",
                              "unit" : "orientation_unit",
                              "attributes" : SASINSTR_DET_OR_ATTR
                             }
-    SASINSTR_DET_OR_YAW = {"variable" : "{0}.orientation.z = {1}",
+    SASINSTR_DET_OR_YAW = {"storeas" : "float",
                            "unit" : "orientation_unit",
                            "attributes" : SASINSTR_DET_OR_ATTR
                           }
-    SASINSTR_DET_OR = {"variable" : None,
-                       "children" : {"roll" : SASINSTR_DET_OR_ROLL,
+    SASINSTR_DET_OR = {"children" : {"roll" : SASINSTR_DET_OR_ROLL,
                                      "pitch" : SASINSTR_DET_OR_PITCH,
                                      "yaw" : SASINSTR_DET_OR_YAW,
                                     }
                       }
-    SASINSTR_DET_BC_X = {"variable" : "{0}.beam_center.x = {1}",
+    SASINSTR_DET_BC_X = {"storeas" : "float",
                          "unit" : "beam_center_unit",
-                         "attributes" :
-                         {"unit" : "{0}.beam_center_unit = \"{1}\"",
-                          "storeas" : "content"
-                         }
-                        }
-    SASINSTR_DET_BC_Y = {"variable" : "{0}.beam_center.y = {1}",
+                         "attributes" : {"storeas" : "content"}
+                        }
+    SASINSTR_DET_BC_Y = {"storeas" : "float",
                          "unit" : "beam_center_unit",
-                         "attributes" :
-                         {"unit" : "{0}.beam_center_unit = \"{1}\"",
-                          "storeas" : "content"
-                         }
-                        }
-    SASINSTR_DET_BC_Z = {"variable" : "{0}.beam_center.z = {1}",
+                         "attributes" : {"storeas" : "content"}
+                        }
+    SASINSTR_DET_BC_Z = {"storeas" : "float",
                          "unit" : "beam_center_unit",
-                         "attributes" :
-                         {"unit" : "{0}.beam_center_unit = \"{1}\"",
-                          "storeas" : "content"
-                         }
-                        }
-    SASINSTR_DET_BC = {"variable" : None,
-                       "children" : {"x" : SASINSTR_DET_BC_X,
+                         "attributes" : {"storeas" : "content"}
+                        }
+    SASINSTR_DET_BC = {"children" : {"x" : SASINSTR_DET_BC_X,
                                      "y" : SASINSTR_DET_BC_Y,
-                                     "z" : SASINSTR_DET_BC_Z,
-                                    }
-                      }
-    SASINSTR_DET_PIXEL_X = {"variable" : "{0}.pixel_size.x = {1}",
+                                     "z" : SASINSTR_DET_BC_Z,}
+                      }
+    SASINSTR_DET_PIXEL_X = {"storeas" : "float",
                             "unit" : "pixel_size_unit",
-                            "attributes" :
-                            {"unit" : "{0}.pixel_size_unit = \"{1}\"",
-                             "storeas" : "content"
-                            }
-                           }
-    SASINSTR_DET_PIXEL_Y = {"variable" : "{0}.pixel_size.y = {1}",
+                            "attributes" : {"storeas" : "content" }
+                           }
+    SASINSTR_DET_PIXEL_Y = {"storeas" : "float",
                             "unit" : "pixel_size_unit",
-                            "attributes" :
-                            {"unit" : "{0}.pixel_size_unit = \"{1}\"",
-                             "storeas" : "content"
-                            }
-                           }
-    SASINSTR_DET_PIXEL_Z = {"variable" : "{0}.pixel_size.z = {1}",
+                            "attributes" : {"storeas" : "content"}
+                           }
+    SASINSTR_DET_PIXEL_Z = {"storeas" : "float",
                             "unit" : "pixel_size_unit",
-                            "attributes" :
-                            {"unit" : "{0}.pixel_size_unit = \"{1}\"",
-                             "storeas" : "content"
-                            }
-                           }
-    SASINSTR_DET_PIXEL = {"variable" : None,
-                          "children" : {"x" : SASINSTR_DET_PIXEL_X,
+                            "attributes" : {"storeas" : "content"}
+                           }
+    SASINSTR_DET_PIXEL = {"children" : {"x" : SASINSTR_DET_PIXEL_X,
                                         "y" : SASINSTR_DET_PIXEL_Y,
                                         "z" : SASINSTR_DET_PIXEL_Z,
                                        }
                          }
-    SASINSTR_DET_SLIT = {"variable" : "{0}.slit_length = {1}",
+    SASINSTR_DET_SLIT = {"storeas" : "float",
                          "unit" : "slit_length_unit",
-                         "attributes" :
-                         {"unit" :
-                          {"variable" : "{0}.slit_length_unit = \"{1}\"",
-                           "storeas" : "content"
-                          }
-                         }
-                        }
-    SASINSTR_DET = {"storeas" : "float",
-                    "variable" : None,
-                    "attributes" : {"name" :
-                                    {"storeas" : "content",
-                                     "variable" : "{0}.name = \"{1}\"",
-                                    }
-                                   },
-                    "children" : {"name" : {"storeas" : "content",
-                                            "variable" : "{0}.name = \"{1}\"",
-                                           },
+                         "attributes" : {"unit" : {}}
+                        }
+    SASINSTR_DET = {"attributes" : {"name" : {"storeas" : "content"}},
+                    "children" : {"name" : {"storeas" : "content"},
                                   "SDD" : SASINSTR_DET_SDD,
                                   "offset" : SASINSTR_DET_OFF,
@@ -608,8 +388,6 @@
                                  }
                    }
-    SASINSTR = {"variable" : None,
-                "children" :
-                {"variable" : None,
-                 "name" : {"variable" : "{0}.instrument = \"{1}\""},
+    SASINSTR = {"children" :
+                {"name" : {},
                  "SASsource" : SASINSTR_SRC,
                  "SAScollimation" : SASINSTR_COLL,
@@ -619,9 +397,6 @@
     CANSAS_FORMAT = {"SASentry" :
                      {"units_optional" : True,
-                      "variable" : None,
                       "storeas" : "content",
-                      "attributes" : {"name" :
-                                      {"variable" :
-                                       "{0}.run_name[\"{3}\"] = \"{1}\""}},
+                      "attributes" : {"name" : {}},
                       "children" : {"Title" : TITLE,
                                     "Run" : RUN,
@@ -644,5 +419,4 @@
 
     current_level = ''
-    ns_variable = ''
     ns_datatype = ''
     ns_optional = True
@@ -650,5 +424,4 @@
     def __init__(self):
         self.current_level = {}
-        self.ns_variable = ''
         self.ns_datatype = "content"
         self.ns_optional = True
